Skip to main content
POST
/
v1
/
me
/
notifications
/
feed
/
read-all
Mark All Read
curl --request POST \
  --url https://api.example.com/v1/me/notifications/feed/read-all \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>"
}
'
{
  "marked": 123,
  "unread_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Optional body for POST /me/notifications/feed/read-all.

type is an optional prefix filter (e.g. 'prediction.alert.fired'). Omit or send {} to clear all unread notifications.

type
string | null
Maximum string length: 64

Response

Successful Response

marked
integer
required
unread_count
integer
required